Bug 203169 - irc/weechat-devel: older than the stable version, can it be removed?
Summary: irc/weechat-devel: older than the stable version, can it be removed?
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jase Thew
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-17 09:13 UTC by John Marino
Modified: 2015-10-10 21:30 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (jase)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino freebsd_committer 2015-09-17 09:13:48 UTC
irc/weechat-devel hasn't been undated since Feb 2014.

In constrast, the stable version of weechat has been updated twice with releases since this.

Since weechat-devel isn't doing what it was created to do (track weechat before the release), can it be removed?  In generate, -devel should never be older than stable.  At the version least, IGNORE should be set in these cases (where they are only temporarily equal, but soon after -devel should be newer again).
Comment 1 John Marino freebsd_committer 2015-09-17 09:20:07 UTC
BTW, somebody just mentioned to me that irc/weechat is also two release versions behind.  It is at 1.1.1, but 1.3 is out since August 2015.
Comment 2 John Marino freebsd_committer 2015-09-23 10:15:45 UTC
anyone home?
Comment 3 Marius Schuller 2015-10-06 18:25:18 UTC
I have found this too. It broke my config since I expected it to be newer.
Comment 4 John Marino freebsd_committer 2015-10-09 22:10:44 UTC
okay, this PR timed out so I'll remove the port soon.
Comment 5 commit-hook freebsd_committer 2015-10-10 21:29:12 UTC
A commit references this bug:

Author: marino
Date: Sat Oct 10 21:28:49 UTC 2015
New revision: 399024
URL: https://svnweb.freebsd.org/changeset/ports/399024

Log:
  irc/weechat-devel: Deprecate for removal (31 Oct 15)

  The weechat-devel port has been behind the stable weechat for a long
  time and its presence has caused confusion.  Rather than mark IGNORE
  temporarily, set removal in motion because stable is updated so frequently
  that there is no point to a -devel port

  PR:		203169
  Approved by:	maintainer timeout

Changes:
  head/irc/weechat-devel/Makefile